Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.java.help.impl
Class JHSecondaryViewerBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.sun.java.help.impl.JHSecondaryViewerBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class JHSecondaryViewerBeanInfo
extends java.beans.SimpleBeanInfo

This class provides information about getter/setter methods within JHSecondaryWindow. It is usefull for reflection.

See Also:
  `JHSecondaryViewer`

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JHSecondaryViewerBeanInfo()`

Method Summary
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JHSecondaryViewerBeanInfo

    public JHSecondaryViewerBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD